import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
      'https://gist.githubusercontent.com/JCarpenter-WPI/47b18b1481136ed44236a2b3cdb014b0/raw/NACRO%2520office%2520types%2520by%2520enrollment';
  
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Total = +d['Total'];
      return d;
    };
    csv(csvUrl, row).then(data => {
      setData(data);
    });
  }, []);
  
	return data;
};

